## curl 8.8.0

=== debian/changelog ===
curl (8.8.0-4+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 7.88.1-9+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 20 May 2023 09:55:44 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 27 Jul 2024 03:13:28 +0000

curl (8.8.0-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * Revert "Temporarily disable build-time tests on 32-bit non-x86"
  * Don't use python3-impacket on non-Rust architectures that lack
    python-cryptography

  [ Lev Lazinskiy ]
  * Use SALSA_CI_DPKG_BUILDPACKAGE_ARGS in pipeline

  [ Samuel Henrique ]
  * Update wcurl to 2024.07.10

 -- Samuel Henrique <samueloph@debian.org>  Wed, 10 Jul 2024 22:36:04 +0100

curl (8.8.0-3) unstable; urgency=medium

  [ Carlos Henrique Lima Melara ]
  * d/p/fix-x509asn1-fallback-to-dotted-OID-representation.patch: add patch
    (Closes: #1075796)
  * d/p/11_omit-directories-from-config.patch: update to remove new issue
    (Closes: #1075802)
  * d/p/04_workaround_as_needed_bug.patch: drop patch, not needed anymore

  [ Samuel Henrique ]
  * Update wcurl to 2024-07-07

 -- Samuel Henrique <samueloph@debian.org>  Sun, 07 Jul 2024 00:42:42 +0100

curl (8.8.0-2) unstable; urgency=medium

  * curl.NEWS: Announce switch to GnuTLS, HTTP3 support and wcurl
  * Switch curl package/binary to use gnutls, now with HTTP3 support
  * Build libcurl-gnutls with HTTP3 support (build-dep on nghttp3 and ngtcp2)
  * Build libcurl-gnutls with ca-bundle=/etc/ssl/certs/ca-certificates.crt
  * Build with websockets support
  * Ship fish completion file
  * Ship wcurl and its manpage

 -- Samuel Henrique <samueloph@debian.org>  Sun, 30 Jun 2024 13:53:05 +0100

curl (8.8.0-1) unstable; urgency=medium

  * New upstream version 8.8.0
  * Refresh patches
  * Revert "Temporarily disable LDAP support on 32-bit non-x86"
  * d/patches: Drop merged patches
  * d/p/docs_makefile...: Upstream patch to fix curl-config regression
  * d/libcurl*.symbols: Add new symbol curl_multi_waitfds

 -- Samuel Henrique <samueloph@debian.org>  Wed, 22 May 2024 22:22:28 +0100
