## curl 8.9.1

=== debian/changelog ===
curl (8.9.1-2ubuntu2.2) oracular-security; urgency=medium

  * SECURITY UPDATE: netrc and redirect credential leak
    - debian/patches/CVE-2024-11053-pre1.patch: use same credentials on
      redirect in lib/transfer.c, lib/url.c, lib/urldata.h,
      tests/data/Makefile.inc, tests/data/test998, tests/data/test999.
    - debian/patches/CVE-2024-11053.patch: address several netrc parser
      flaws in lib/netrc.c, lib/url.c, tests/data/Makefile.inc,
      tests/data/test478, tests/data/test479, tests/data/test480,
      tests/unit/unit1304.c.
    - CVE-2024-11053

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Dec 2024 11:03:27 -0500

curl (8.9.1-2ubuntu2.1) oracular-security; urgency=medium

  * SECURITY UPDATE: HSTS expiry overwrites parent cache entry.
    - debian/patches/CVE-2024-9681.patch: Add bestsub, blen, and hostname
      comparison in lib/hsts.c.
    - CVE-2024-9681

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Wed, 06 Nov 2024 09:10:08 -0330

curl (8.9.1-2ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: OCSP stapling bypass with GnuTLS
    - debian/patches/CVE-2024-8096.patch: fix OCSP stapling management in
      lib/vtls/gtls.c.
    - CVE-2024-8096

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Sep 2024 10:46:36 -0400

curl (8.9.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2076679). Remaining changes:
    - debian/control: Don't build-depend on python3-impacket and stunnel4 on
      i386 so we can drop it (and its dependencies) from the i386 partial port.
      It's only used for the tests, which do not block the build in any case.
    - d/{control,rules}: Do not use gnutls for the curl binary.
    - d/{control,rules}: Drop nghttp3 & ngtcp2 depdendencies of
      libcurl-gnutls to avoid component-mismatch.
  * Drop Changes:
    - d/t/upstream-tests-{gnutls,openssl}: Add workaround to fix
      LP: 2071468. The issue was fixed in dpkg-dev 1.22.11ubuntu1.
  * New Changes:
    - d/rules: Use libssh2-dev as it is in main (LP: #2076865).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 13 Aug 2024 09:16:22 +1200

curl (8.9.1-2) unstable; urgency=medium

  [ Steve McIntyre ]
  * Improve the patch for the gnutls build. Instead of calling quilt
    during the binary package build, use autotools to do the work we
    need when calling configure etc. Closes: #1077650

  [ Carlos Henrique Lima Melara ]
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/patches/ignore-SIGPIPE-after-init.patch: add new patch from
    upstream. (Closes: #1077854)
  * debian/tests/build-using-libcurl*: add tests to check if libcurl headers
    and pkgconf info are correct.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Fri, 09 Aug 2024 19:47:58 -0300

curl (8.9.1-1) unstable; urgency=medium

  * New upstream version 8.9.1. (Closes: 1077656)
    - fix CVE-2024-7264: ASN.1 date parser overread.
  * debian/patch/build-Divide-mit-[...].patch: refresh patch.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Wed, 31 Jul 2024 22:12:06 +0900

curl (8.9.0-3) unstable; urgency=medium

  * debian/control: make libcurl*-dev packages Depends on -dev packages.
    (Closes: #1077197, #1077190)
  * debian/rules: decrease tests parallelism multiplier.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 28 Jul 2024 19:26:49 +0900

curl (8.9.0-2) unstable; urgency=medium

  * debian/control: make libcurl*-dev packages Recommends -dev packages.
    (Closes: #1077197, #1077190)

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sat, 27 Jul 2024 12:53:28 +0900

curl (8.9.0-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * debian/curl.NEWS: Update wcurl description.

  [ Carlos Henrique Lima Melara ]
  * New upstream version 8.9.0. (Closes: #1076996)
    - fix CVE-2024-6197: freeing stack buffer in utf8asn1str.
    - fix CVE-2024-6874: macidn punycode buffer overread.
  * debian/copyright: drop copyright from removed file.
  * debian/patches/: drop merged patches and refresh patches against new
    upstream release.
      - docs_makefile_am_make_curl_config_1_install.patch: drop.
      - fix-x509asn1-fallback-to-dotted-OID-representation.patch: drop.
  * debian/gbp.conf: add upstream-branch definition.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 25 Jul 2024 22:14:54 +0900

curl (8.8.0-3ubuntu4) oracular; urgency=medium

  * Rebuild against new dpkg without elf-package-metadata.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Aug 2024 15:22:33 +0200

curl (8.8.0-3ubuntu3) oracular; urgency=medium

  * d/{control,rules}: Do not use gnutls for the curl binary
  * d/{control,rules}: Drop nghttp3 & ngtcp2 depdendencies of libcurl-gnutls
    to avoid component-mismatch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 09 Jul 2024 14:30:56 +0200

curl (8.8.0-3ubuntu2) oracular; urgency=medium

  * d/t/upstream-tests-{gnutls,openssl}: Add workaround to fix
    LP: #2071468.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 08 Jul 2024 16:25:16 -0400

curl (8.8.0-3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Don't build-depend on python3-impacket and stunnel4 on
      i386 so we can drop it (and its dependencies) from the i386 partial port.
      It's only used for the tests, which do not block the build in any case.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 15:45:32 +0200

curl (8.8.0-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Don't build-depend on python3-impacket and stunnel4 on
      i386 so we can drop it (and its dependencies) from the i386 partial port.
      It's only used for the tests, which do not block the build in any case.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Jul 2024 11:43:21 +0200

curl (8.8.0-1ubuntu1) oracular; urgency=medium


