=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: curl
 Section: web
 Priority: optional
-Maintainer: Debian Curl Maintainers <team+curl@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Curl Maintainers <team+curl@tracker.debian.org>
 Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
            Samuel Henrique <samueloph@debian.org>,
            Sergio Durigan Junior <sergiodj@debian.org>
@@ -26,18 +27,15 @@
  libtool,
  libzstd-dev,
  locales-all <!nocheck>,
- libngtcp2-dev (>= 1.2.0),
- libngtcp2-crypto-gnutls-dev (>= 1.2.0),
- libnghttp3-dev (>= 1.1.0),
  openssh-server <!nocheck>,
  python3:native <!nocheck>,
- python3-impacket [!alpha !hppa !m68k !sh4] <!nocheck>,
+ python3-impacket [!i386 !alpha !hppa !m68k !sh4] <!nocheck>,
  gnutls-bin [!ppc64el] <!nocheck>,
  quilt,
- stunnel4 <!nocheck>,
+ stunnel4 [!i386] <!nocheck>,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/curl.git
 Vcs-Browser: https://salsa.debian.org/debian/curl
 Homepage: https://curl.se/
@@ -45,7 +43,7 @@
 
 Package: curl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3t64-gnutls (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl4t64 (= ${binary:Version})
 Multi-Arch: foreign
 Description: command line tool for transferring data with URL syntax
  curl is a command line tool for transferring data with URL syntax, supporting
@@ -121,17 +119,23 @@
  libcurl4-dev,
  libcurl3-dev
 Conflicts: libcurl4-gnutls-dev, libssl1.0-dev
-Depends: ${misc:Depends}, libcurl4t64 (= ${binary:Version})
+Depends: ${misc:Depends},
+ libbrotli-dev,
+ libcurl4t64 (= ${binary:Version}),
+ libidn2-dev,
+ libnghttp2-dev,
+ libpsl-dev,
+ librtmp-dev,
+ libssh2-1-dev,
+ libssl-dev,
+ libzstd-dev,
+ zlib1g-dev,
 Suggests: dpkg-dev,
  libcurl4-doc,
  libidn-dev,
  libkrb5-dev,
  libldap2-dev,
- librtmp-dev,
- libssh2-1-dev,
- libssl-dev,
  pkgconf,
- zlib1g-dev
 Multi-Arch: same
 Description: development files and documentation for libcurl (OpenSSL flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
@@ -160,17 +164,23 @@
  libcurl3-gnutls-dev,
  libcurl4-dev
 Conflicts: libcurl4-openssl-dev
-Depends: ${misc:Depends}, libcurl3t64-gnutls (= ${binary:Version})
+Depends: ${misc:Depends},
+ libbrotli-dev,
+ libcurl3t64-gnutls (= ${binary:Version}),
+ libgnutls28-dev,
+ libidn2-dev,
+ libnghttp2-dev,
+ libpsl-dev,
+ librtmp-dev,
+ libssh2-1-dev,
+ libzstd-dev,
+ zlib1g-dev,
 Suggests: dpkg-dev,
  libcurl4-doc,
- libgnutls28-dev,
  libidn-dev,
  libkrb5-dev,
  libldap2-dev,
- librtmp-dev,
- libssh2-1-dev,
  pkgconf,
- zlib1g-dev
 Multi-Arch: same
 Description: development files and documentation for libcurl (GnuTLS flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
