=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,8 @@
 	--with-zsh-functions-dir=/usr/share/zsh/vendor-completions \
 	--with-fish-functions-dir=/usr/share/fish/vendor_completions.d \
 	--with-ca-path=/etc/ssl/certs \
-	--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
-
-# disable libssh2 on Ubuntu (see #888449)
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	CONFIGURE_ARGS += --with-libssh --without-libssh2
-else
-	CONFIGURE_ARGS += --without-libssh --with-libssh2
-endif
-
+	--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt \
+	--without-libssh --with-libssh2
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -49,25 +42,8 @@
 override_dh_auto_configure:
 ifeq ($(filter pkg.curl.no-openssl,$(DEB_BUILD_PROFILES)),)
 	mkdir -p debian/build
-endif
-ifeq ($(filter pkg.curl.no-gnutls,$(DEB_BUILD_PROFILES)),)
-	mkdir -p debian/build-gnutls
-endif
-# pop the last patch (gnutls)
-	quilt pop
-ifeq ($(filter pkg.curl.no-openssl,$(DEB_BUILD_PROFILES)),)
-# get the source without gnutls patch
 	tar -cf - --exclude=debian/build* --exclude=.pc . \
 		| tar -xf - -C debian/build
-endif
-# push the last patch which must be gnutls
-	quilt push
-ifeq ($(filter pkg.curl.no-gnutls,$(DEB_BUILD_PROFILES)),)
-# get the source with gnutls patch applied
-	tar -cf - --exclude=debian/build* --exclude=.pc . \
-		| tar -xf - -C debian/build-gnutls
-endif
-ifeq ($(filter pkg.curl.no-openssl,$(DEB_BUILD_PROFILES)),)
 	cd debian/build && \
 	./buildconf && \
 	cp ../../ltmain.sh . && \
@@ -76,12 +52,15 @@
 		--without-nghttp3
 endif
 ifeq ($(filter pkg.curl.no-gnutls,$(DEB_BUILD_PROFILES)),)
+	mkdir -p debian/build-gnutls
+	tar -cf - --exclude=debian/build* --exclude=.pc . \
+		| tar -xf - -C debian/build-gnutls
 	cd debian/build-gnutls && \
 	./buildconf && \
 	cp ../../ltmain.sh . && \
 	dh_auto_configure ${CONFIGURE_ARGS} --with-gnutls \
-		--with-ngtcp2 \
-		--with-nghttp3
+		--without-ngtcp2 \
+		--without-nghttp3
 endif
 
 override_dh_auto_build:
@@ -99,7 +78,7 @@
 # -j parallel tests: https://daniel.haxx.se/blog/2023/06/08/parallel-curl-tests/
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  TESTS_GENERAL_PARAMETERS += -j$(shell echo $$(( $(NUMJOBS) * 7 )))
+  TESTS_GENERAL_PARAMETERS += -j$(shell echo $$(( $(NUMJOBS) * 4 )))
 endif
 
 # These tests fail if a IPv6-only builder is used:
@@ -110,7 +89,7 @@
 TESTS_GENERAL_PARAMETERS += $(TESTS_FAILS_ON_IPV6_ONLY_MACHINES)
 
 override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),testsuitedisabled)
+ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
 ifeq ($(filter pkg.curl.no-openssl,$(DEB_BUILD_PROFILES)),)
 # OpenSSL tests.
 	cd debian/build && VERBOSE=1 \
@@ -136,11 +115,11 @@
 endif
 	find debian/tmp* -name '*.la' -delete
 ifeq ($(filter pkg.curl.no-openssl,$(DEB_BUILD_PROFILES)),)
-	dh_install -plibcurl4t64 -plibcurl4-openssl-dev -plibcurl4-doc \
+	dh_install -pcurl -plibcurl4t64 -plibcurl4-openssl-dev -plibcurl4-doc \
 		--sourcedir=debian/tmp
 endif
 ifeq ($(filter pkg.curl.no-gnutls,$(DEB_BUILD_PROFILES)),)
-	dh_install -pcurl -plibcurl3t64-gnutls -plibcurl4-gnutls-dev	\
+	dh_install -plibcurl3t64-gnutls -plibcurl4-gnutls-dev	\
 		--sourcedir=debian/tmp-gnutls
 endif
 # Modify curl-config to make it architecture-independent:
