## curl 8.10.1

=== debian/changelog ===
curl (8.10.1-2) unstable; urgency=medium

  * d/patches/gtls_add_p12_format_support.patch: New upstream patch for P12
    support

 -- Samuel Henrique <samueloph@debian.org>  Thu, 10 Oct 2024 23:22:24 +0100

curl (8.10.1-1) unstable; urgency=medium

  * New upstream version 8.10.1
  * d/p/ZZZgnutls-build.patch: Update patch

 -- Samuel Henrique <samueloph@debian.org>  Wed, 18 Sep 2024 07:27:29 +0100

curl (8.10.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Do not allow any undefined symbols when linking
  * ZZZgnutls-build.patch: Resync libraries used for GNUTLS flavour
    (closes: #1081514, #1081517, #1081533)
  * ZZZgnutls-build.patch: De-conditionalize libcurlu.la  parameters

 -- Samuel Henrique <samueloph@debian.org>  Thu, 12 Sep 2024 21:35:48 +0100

curl (8.10.0-1) unstable; urgency=medium

  * New upstream version 8.10.0
    - Fix CVE-2024-8096 - OCSP stapling bypass with GnuTLS
    - Fix curl -w '%{size_header}' for GnuTLS (closes: #1076800)
  * d/copyright: Remove entry for deleted file tests/server/fake_ntlm.c
  * d/patches:
    - Refresh patches
    - ignore-SIGPIPE-after-init.patch: Drop patch, merged upstream
  * d/rules:
    - Replace buildconf invocation with autoreconf -fi
    - dh_installchangelogs: s/CHANGES/CHANGES.md
  * d/libcurl4-doc.docs: Remove dropped docs
  * d/libcurl4t64.lintian-overrides: Remove unused overrides

 -- Samuel Henrique <samueloph@debian.org>  Wed, 11 Sep 2024 20:32:59 +0100
