=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: curl
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Curl Maintainers <team+curl@tracker.debian.org>
+Maintainer: Debian Curl Maintainers <team+curl@tracker.debian.org>
 Uploaders: Carlos Henrique Lima Melara <charlesmelara@riseup.net>,
            Samuel Henrique <samueloph@debian.org>,
            Sergio Durigan Junior <sergiodj@debian.org>
@@ -27,12 +26,15 @@
  libtool,
  libzstd-dev,
  locales-all <!nocheck>,
+ libngtcp2-dev (>= 1.2.0),
+ libngtcp2-crypto-gnutls-dev (>= 1.2.0),
+ libnghttp3-dev (>= 1.1.0),
  openssh-server <!nocheck>,
  python3:native <!nocheck>,
- python3-impacket [!i386 !alpha !hppa !m68k !sh4] <!nocheck>,
+ python3-impacket [!alpha !hppa !m68k !sh4] <!nocheck>,
  gnutls-bin [!ppc64el] <!nocheck>,
  quilt,
- stunnel4 [!i386] <!nocheck>,
+ stunnel4 <!nocheck>,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 4.7.0
@@ -43,7 +45,7 @@
 
 Package: curl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl4t64 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3t64-gnutls (= ${binary:Version})
 Multi-Arch: foreign
 Description: command line tool for transferring data with URL syntax
  curl is a command line tool for transferring data with URL syntax, supporting
@@ -170,6 +172,9 @@
  libgnutls28-dev,
  libidn2-dev,
  libnghttp2-dev,
+ libnghttp3-dev (>= 1.1.0),
+ libngtcp2-crypto-gnutls-dev (>= 1.2.0),
+ libngtcp2-dev (>= 1.2.0),
  libpsl-dev,
  librtmp-dev,
  libssh2-1-dev,
