=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,15 @@
 	--with-zsh-functions-dir=/usr/share/zsh/vendor-completions \
 	--with-fish-functions-dir=/usr/share/fish/vendor_completions.d \
 	--with-ca-path=/etc/ssl/certs \
-	--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt \
-	--without-libssh --with-libssh2
+	--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
+
+# disable libssh2 on Ubuntu (see #888449)
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	CONFIGURE_ARGS += --with-libssh --without-libssh2
+else
+	CONFIGURE_ARGS += --without-libssh --with-libssh2
+endif
+
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -28,6 +35,7 @@
 
 export DEB_CFLAGS_MAINT_APPEND = -D_DEB_HOST_ARCH=\"$(DEB_HOST_MULTIARCH)\" -DCURL_PATCHSTAMP=\"$(DEB_VERSION)\"
 export DEB_CXXFLAGS_MAINT_APPEND = -D_DEB_HOST_ARCH=\"$(DEB_HOST_MULTIARCH)\" -DCURL_PATCHSTAMP=\"$(DEB_VERSION)\"
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined
 
 ifneq ($(filter pkg.curl.openssl-only,$(DEB_BUILD_PROFILES)),)
 	DEB_BUILD_PROFILES += pkg.curl.no-gnutls
@@ -45,7 +53,7 @@
 	tar -cf - --exclude=debian/build* --exclude=.pc . \
 		| tar -xf - -C debian/build
 	cd debian/build && \
-	./buildconf && \
+	autoreconf -fi && \
 	cp ../../ltmain.sh . && \
 	dh_auto_configure ${CONFIGURE_ARGS} --with-openssl \
 		--without-ngtcp2 \
@@ -56,11 +64,11 @@
 	tar -cf - --exclude=debian/build* --exclude=.pc . \
 		| tar -xf - -C debian/build-gnutls
 	cd debian/build-gnutls && \
-	./buildconf && \
+	autoreconf -fi && \
 	cp ../../ltmain.sh . && \
 	dh_auto_configure ${CONFIGURE_ARGS} --with-gnutls \
-		--without-ngtcp2 \
-		--without-nghttp3
+		--with-ngtcp2 \
+		--with-nghttp3
 endif
 
 override_dh_auto_build:
@@ -115,11 +123,11 @@
 endif
 	find debian/tmp* -name '*.la' -delete
 ifeq ($(filter pkg.curl.no-openssl,$(DEB_BUILD_PROFILES)),)
-	dh_install -pcurl -plibcurl4t64 -plibcurl4-openssl-dev -plibcurl4-doc \
+	dh_install -plibcurl4t64 -plibcurl4-openssl-dev -plibcurl4-doc \
 		--sourcedir=debian/tmp
 endif
 ifeq ($(filter pkg.curl.no-gnutls,$(DEB_BUILD_PROFILES)),)
-	dh_install -plibcurl3t64-gnutls -plibcurl4-gnutls-dev	\
+	dh_install -pcurl -plibcurl3t64-gnutls -plibcurl4-gnutls-dev	\
 		--sourcedir=debian/tmp-gnutls
 endif
 # Modify curl-config to make it architecture-independent:
@@ -160,7 +168,7 @@
 	rm -rfv debian/tmp/usr/share/aclocal/*
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGES
+	dh_installchangelogs CHANGES.md
 
 override_dh_compress:
 	dh_compress -X.pdf
