## curl 8.11.0

=== debian/changelog ===
curl (8.11.0-0deepin1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 8.11.0
  * Fix CVE-2024-9681: HSTS subdomain overwrites parent cache entry
  * Update patches for the new release
  * d/rules: Drop '--enable-websockets', it's enabled by default now
  * d/libcurl*.symbols: Remove HIDDEN@HIDDEN 7.16.2
  * Add 5 upstream patches to fix regressions:
    - cmdline_ech_md_formatting_cleanups.patch
    - duphandle_also_init_netrc.patch
    - libssh_when_using_IPv6_numerical_address_add_brackets.patch
    - netrc_support_large_file_longer_lines_longer_tokens.patch
    - setopt_fix_CURLOPT_HTTP_CONTENT_DECODING.patch

  [ Carlos Henrique Lima Melara ]
  * d/rules: add sed rule to make curl-config get CPPFLAGS in run-time
  * d/control: move libldap2-dev to Depends and use newer libldap-dev name
  * d/control: move libkrb5-dev from Suggests to Depends for -dev packages

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 19 Nov 2024 12:08:33 +0800

curl (8.10.1-0deepin2) unstable; urgency=medium

  * libcurl4 should not replaces itself.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 18 Sep 2024 17:18:39 +0800

curl (8.10.1-0deepin1) unstable; urgency=medium

  * New upstream version 8.10.1.
  * Refresh ZZZgnutls-build.patch.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 18 Sep 2024 15:11:28 +0800

curl (8.10.0-2deepin1) unstable; urgency=medium

  * Revert t64.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 18 Sep 2024 14:30:44 +0800
