=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 Package: curl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3t64-gnutls (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-gnutls (= ${binary:Version})
 Multi-Arch: foreign
 Description: command line tool for transferring data with URL syntax
  curl is a command line tool for transferring data with URL syntax, supporting
@@ -57,17 +57,14 @@
  NTLM, Negotiate, kerberos...), file transfer resume, proxy tunneling and a
  busload of other useful tricks.
 
-Package: libcurl4t64
-Provides: ${t64:Provides}
-X-Time64-Compat: libcurl4
-Breaks: libcurl4 (<< ${source:Version})
+Package: libcurl4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ca-certificates
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libcurl3
-Replaces: libcurl4, libcurl3
+Replaces: libcurl3
 Multi-Arch: same
 Description: easy-to-use client-side URL transfer library (OpenSSL flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
@@ -85,11 +82,7 @@
  .
  SSL support is provided by OpenSSL.
 
-Package: libcurl3t64-gnutls
-Provides: ${t64:Provides}
-X-Time64-Compat: libcurl3-gnutls
-Replaces: libcurl3-gnutls
-Breaks: libcurl3-gnutls (<< ${source:Version})
+Package: libcurl3-gnutls
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -123,8 +116,10 @@
 Conflicts: libcurl4-gnutls-dev, libssl1.0-dev
 Depends: ${misc:Depends},
  libbrotli-dev,
- libcurl4t64 (= ${binary:Version}),
+ libcurl4 (= ${binary:Version}),
  libidn2-dev,
+ libkrb5-dev,
+ libldap-dev,
  libnghttp2-dev,
  libpsl-dev,
  librtmp-dev,
@@ -135,8 +130,6 @@
 Suggests: dpkg-dev,
  libcurl4-doc,
  libidn-dev,
- libkrb5-dev,
- libldap2-dev,
  pkgconf,
 Multi-Arch: same
 Description: development files and documentation for libcurl (OpenSSL flavour)
@@ -168,9 +161,11 @@
 Conflicts: libcurl4-openssl-dev
 Depends: ${misc:Depends},
  libbrotli-dev,
- libcurl3t64-gnutls (= ${binary:Version}),
+ libcurl3-gnutls (= ${binary:Version}),
  libgnutls28-dev,
  libidn2-dev,
+ libkrb5-dev,
+ libldap-dev,
  libnghttp2-dev,
  libnghttp3-dev (>= 1.1.0),
  libngtcp2-crypto-gnutls-dev (>= 1.2.0),
@@ -183,8 +178,6 @@
 Suggests: dpkg-dev,
  libcurl4-doc,
  libidn-dev,
- libkrb5-dev,
- libldap2-dev,
  pkgconf,
 Multi-Arch: same
 Description: development files and documentation for libcurl (GnuTLS flavour)
