=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 Package: curl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3-gnutls (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3t64-gnutls (= ${binary:Version})
 Multi-Arch: foreign
 Description: command line tool for transferring data with URL syntax
  curl is a command line tool for transferring data with URL syntax, supporting
@@ -57,14 +57,17 @@
  NTLM, Negotiate, kerberos...), file transfer resume, proxy tunneling and a
  busload of other useful tricks.
 
-Package: libcurl4
+Package: libcurl4t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libcurl4
+Breaks: libcurl4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ca-certificates
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libcurl3
-Replaces: libcurl3
+Replaces: libcurl4, libcurl3
 Multi-Arch: same
 Description: easy-to-use client-side URL transfer library (OpenSSL flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
@@ -82,7 +85,11 @@
  .
  SSL support is provided by OpenSSL.
 
-Package: libcurl3-gnutls
+Package: libcurl3t64-gnutls
+Provides: ${t64:Provides}
+X-Time64-Compat: libcurl3-gnutls
+Replaces: libcurl3-gnutls
+Breaks: libcurl3-gnutls (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -116,7 +123,7 @@
 Conflicts: libcurl4-gnutls-dev, libssl1.0-dev
 Depends: ${misc:Depends},
  libbrotli-dev,
- libcurl4 (= ${binary:Version}),
+ libcurl4t64 (= ${binary:Version}),
  libidn2-dev,
  libkrb5-dev,
  libldap-dev,
@@ -161,7 +168,7 @@
 Conflicts: libcurl4-openssl-dev
 Depends: ${misc:Depends},
  libbrotli-dev,
- libcurl3-gnutls (= ${binary:Version}),
+ libcurl3t64-gnutls (= ${binary:Version}),
  libgnutls28-dev,
  libidn2-dev,
  libkrb5-dev,
